# Class RxapOpenApiError

#### Hierarchy

- RxapError
  - RxapOpenApiError

- Defined in packages/angular/open-api/src/lib/error.ts:3

#####
Index

### Constructors

constructor

### Properties

_packageName
code?
message
name
scope?
stack?
prepareStackTrace?
stackTraceLimit

### Accessors

className
packageName

### Methods

addSubPackageName
setPackageName
setSubPackageName
toJSON
captureStackTrace

## Constructors

### constructor

- new RxapOpenApiError(message, code?, scope?): RxapOpenApiError

- #### Parameters

  - message: string
  - `Optional` code: string
  - `Optional` scope: string

  #### Returns RxapOpenApiError

  Overrides RxapError.constructor

  - Defined in packages/angular/open-api/src/lib/error.ts:5

## Properties

### `Protected` _packageName

_packageName: string

Inherited from RxapError._packageName

- Defined in packages/utilities/src/lib/error.ts:6

### `Optional` `Readonly` code

code?: string

Inherited from RxapError.code

- Defined in packages/utilities/src/lib/error.ts:8

### message

message: string

Inherited from RxapError.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1077

### name

name: string

Inherited from RxapError.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1076

### `Optional` `Readonly` scope

scope?: string

Inherited from RxapError.scope

- Defined in packages/utilities/src/lib/error.ts:9

### `Optional` `Readonly` stack

stack?: string

Inherited from RxapError.stack

- Defined in packages/utilities/src/lib/error.ts:10

### `Static` `Optional` prepareStackTrace

prepareStackTrace?: ((err, stackTraces) => any)

Optional override for formatting stack traces

#### Type declaration

- - (err, stackTraces): any

  - #### Parameters

    - err: Error
    - stackTraces: CallSite[]

    #### Returns any

#### See

https://v8.dev/docs/stack-trace-api#customizing-stack-traces

Inherited from RxapError.prepareStackTrace

- Defined in node_modules/@types/node/globals.d.ts:27

### `Static` stackTraceLimit

stackTraceLimit: number

Inherited from RxapError.stackTraceLimit

- Defined in node_modules/@types/node/globals.d.ts:29

## Accessors

### className

- get className(): string

- #### Returns string

  Inherited from RxapError.className

  - Defined in packages/utilities/src/lib/error.ts:23

### packageName

- get packageName(): string

- #### Returns string

  Inherited from RxapError.packageName

  - Defined in packages/utilities/src/lib/error.ts:19

## Methods

### `Protected` addSubPackageName

- addSubPackageName(subPackageName): void
- `Internal`

  Add's the sub package name to the current package name.

  current package name -> with sub package name @rxap/package -> @rxap/package/sub

  #### Parameters

  - subPackageName: string

    The sub package name

  #### Returns void

  #### Deprecated

  removed

  Inherited from RxapError.addSubPackageName

  - Defined in packages/utilities/src/lib/error.ts:64

### `Protected` setPackageName

- setPackageName(packageName): void
- `Internal`

  Sets the package name

  #### Parameters

  - packageName: string

    The new package name

  #### Returns void

  Inherited from RxapError.setPackageName

  - Defined in packages/utilities/src/lib/error.ts:74

### `Protected` setSubPackageName

- setSubPackageName(subPackageName): void
- `Internal`

  Add's the sub package name to the current package name.

  current package name -> with sub package name @rxap/package -> @rxap/package/sub

  #### Parameters

  - subPackageName: string

    The sub package name

  #### Returns void

  #### Deprecated

  use addSubPackageName instead

  Inherited from RxapError.setSubPackageName

  - Defined in packages/utilities/src/lib/error.ts:49

### toJSON

- toJSON(): object

- #### Returns object

  Inherited from RxapError.toJSON

  - Defined in packages/utilities/src/lib/error.ts:27

### `Static` captureStackTrace

- captureStackTrace(targetObject, constructorOpt?): void

- Create .stack property on a target object

  #### Parameters

  - targetObject: object
  - `Optional` constructorOpt: Function

  #### Returns void

  Inherited from RxapError.captureStackTrace

  - Defined in node_modules/@types/node/globals.d.ts:20